package org.applesline.desensitize.handle.impl;

import org.applesline.desensitize.constants.DesensitizeType;
import org.applesline.desensitize.handle.DesensitizeAdapter;
import org.springframework.stereotype.Component;

/**
 * @author liuyaping
 * @date 2022/1/19
 */
@Component
public class GenderHandler extends DesensitizeAdapter {
    @Override
    public String doMask(String gender) {
        return isBlank(gender) ? "" : "**";
    }

    @Override
    public DesensitizeType getFieldType() {
        return DesensitizeType.GENDER;
    }
}
