package org.applesline.desensitize.handle.impl;

import org.applesline.desensitize.constants.DesensitizeType;
import org.applesline.desensitize.handle.DesensitizeAdapter;
import org.springframework.stereotype.Component;

/**
 * @author liuyaping
 * @date 2022/1/13
 */
@Component
public class MobileHandler extends DesensitizeAdapter {

    @Override
    public String doMask(String mobile) {
        return isBlank(mobile) ? "" : hide(mobile, 3, mobile.length() - 4);
    }

    @Override
    public DesensitizeType getFieldType() {
        return DesensitizeType.MOBILE;
    }
}
