package org.applesline.desensitize.handle.impl;

import org.applesline.desensitize.constants.DesensitizeType;
import org.applesline.desensitize.handle.DesensitizeAdapter;
import org.springframework.stereotype.Component;

/**
 * @author liuyaping
 * @date 2022/1/13
 */
@Component
public class OtherCardHandler extends DesensitizeAdapter {

    @Override
    public String doMask(String idCardNum) {
        return maskCardNumber(idCardNum,1,1);
    }

    @Override
    public DesensitizeType getFieldType() {
        return DesensitizeType.OTHER_CARD;
    }
}
